### Hierarchy

- LoginForm

## Index

### Properties

- constraintsJson
- errorMessage
- forgotPasswordLabel
- forgotPasswordUrl
- host
- loginFormSubmit
- passwordLabel
- submitLabel
- usernameLabel

### Methods

- loginHandler
- render

## Properties

### constraintsJson

constraintsJson: string

- Defined in login-form/login-form.tsx:17

### errorMessage

errorMessage: string

- Defined in login-form/login-form.tsx:16

### forgotPasswordLabel

forgotPasswordLabel: string = "Forgot password?"

- Defined in login-form/login-form.tsx:14

### forgotPasswordUrl

forgotPasswordUrl: string

- Defined in login-form/login-form.tsx:15

### host

host: HTMLElement

- Defined in login-form/login-form.tsx:9

### loginFormSubmit

loginFormSubmit: EventEmitter

- Defined in login-form/login-form.tsx:19

### passwordLabel

passwordLabel: string = "Password"

- Defined in login-form/login-form.tsx:12

### submitLabel

submitLabel: string = "Login"

- Defined in login-form/login-form.tsx:13

### usernameLabel

usernameLabel: string = "Username"

- Defined in login-form/login-form.tsx:11

## Methods

### loginHandler

- loginHandler(): void

- - Defined in login-form/login-form.tsx:21

  #### Returns void

### render

- render(): any

- - Defined in login-form/login-form.tsx:28

  #### Returns any